## openstructure 2.0.0

=== CMakeLists.txt ===
#-------------------------------------------------------------------------------
# Author: Marco Biasini
#-------------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

# Set CMake policies
# Behaviour of target_link_libraries, always link by full path. CMP0060 can
# disable this to stay compatible with old projects. We want the new behaviour
# since before we needed to provide the full path ourselves, that is: we
# manually forced CMake to the new scheme.
cmake_policy(SET CMP0060 NEW)

project(OpenStructure CXX C)
set (CMAKE_EXPORT_COMPILE_COMMANDS 1)
set (OST_VERSION_MAJOR 2)
set (OST_VERSION_MINOR 0)
set (OST_VERSION_PATCH 0)
set (OST_VERSION_STRING ${OST_VERSION_MAJOR}.${OST_VERSION_MINOR}.${OST_VERSION_PATCH} )
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake_support)
include(OST)

option(USE_SHADER "whether to compile with shader support"
       OFF)
option(USE_RPATH "embed rpath upon make install"
       OFF)
option(COMPILE_TMTOOLS "whether to compile the tmalign and tmscore programs"
       OFF)
option(PROFILE "whether to compile with profiling support"
       OFF)       
option(ENABLE_GUI "whether the graphical user interface should be enabled"
       ON)
option(ENABLE_GFX "whether graphics support should be enabled"
       ON)
option(OPENGLPREFERENCE_LEGACY "whether to use the OpenGL Legacy GL implementation"
       OFF)
option(ENABLE_IMG "whether the image processing module should be compiled"
       ON)
option(ENABLE_INFO "whether openstructure should be compiled with support for the info library"
       ON)
option(USE_NUMPY "whether numpy support is added"
      OFF)
option(USE_DOUBLE_PRECISION "whether to compile in double precision" 
       OFF)
option(ENABLE_SPNAV "whether 3DConnexion devices should be supported"
      OFF)
option(STATIC_PROPERTY_WORKAROUND "workaround for static property bug with some boost/boost_python combinations" OFF)
option(COMPILE_TESTS "whether unit tests should be compiled by default" OFF)
option(ENABLE_STATIC "whether static libraries should be compiled" OFF)
option(UBUNTU_LAYOUT "whether Debian/Ubuntu's lib and libexec directory layout should be used" OFF)
option(HIDDEN_VISIBILITY "on gcc, use -fvisibility=hidden" OFF)
option(ENABLE_MM "whether openmm support is added" OFF)

if (CXX)
  set(CMAKE_CXX_COMPILER ${CXX})
endif()

if (CC)
  set(CMAKE_C_COMPILER ${CC})
endif()

if (FORTRAN_COMPILER)
  set(CMAKE_FORTRAN_COMPILER ${FORTRAN_COMPILER})
endif()



if (PREFIX)
  set(CMAKE_INSTALL_PREFIX ${PREFIX})
endif()

if (SYS_ROOT)
  set(CMAKE_PREFIX_PATH ${SYS_ROOT})
endif()

if (OPTIMIZE)
  set(CMAKE_BUILD_TYPE Release)
  set(_OPT ON)
else()
   set(CMAKE_BUILD_TYPE Debug)
    set(_OPT OFF)
endif()

if (USE_DOUBLE_PRECISION)
  set(_DOUBLE_PREC ON)
else()
  set(_DOUBLE_PREC OFF)
  set(_DOUBLE_PREC OFF)
endif()

if (NOT ENABLE_INFO)
  set(ENABLE_GFX OFF)
endif()

if (NOT ENABLE_GFX)
  set(ENABLE_GUI OFF)
endif()

if (ENABLE_INFO)
  set(_INFO ON)
else()
  set(_INFO OFF)
endif()

if (ENABLE_GUI)
  set(_UI ON)
else()
  set(_UI OFF)
endif()

if (ENABLE_GFX)
  set(_OPENGL ON)
else()
  set(_OPENGL OFF)
endif()

if (USE_SHADER)
  set(_SHADER ON)
else()
  set(_SHADER OFF)
endif()
if (USE_NUMPY)
  set(_NUMPY ON)
else()
  set(_NUMPY OFF)
endif()
if (COMPILE_TMTOOLS)
  set(_TM_TOOLS ON)
else()
  set(_TM_TOOLS OFF)
endif()
if (ENABLE_IMG)
  set(_IMG ON)
else()
  set(_IMG OFF)
endif()
if (PROFILE)
  set(_PROFILE ON)
else()
  set(_PROFILE OFF)
endif()
if(ENABLE_MM)
  set(_OPENMM ON)
else()
  set(_OPENMM OFF)
endif()


if (UBUNTU_LAYOUT)
  set(_UBUNTU_LAYOUT ON)
else()
  set(_UBUNTU_LAYOUT OFF)
endif()

if (COMPOUND_LIB)
  set(_COMP_LIB "${COMPOUND_LIB}")
  if (NOT IS_ABSOLUTE "${COMPOUND_LIB}")
    set(COMPOUND_LIB "${CMAKE_CURRENT_BINARY_DIR}/${COMPOUND_LIB}")
  endif()
else()
  set(_COMP_LIB "NONE")
endif()

if (STATIC_PROPERTY_WORKAROUND)
  set(_STATICPROPS ON)
else()
  set(_STATICPROPS OFF)
endif()

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug)
endif()

setup_stage()
file(MAKE_DIRECTORY ${STAGE_DIR}
     ${EXECUTABLE_OUTPUT_PATH}
     ${HEADER_STAGE_PATH}
     ${LIB_STAGE_PATH}
     ${LIBEXEC_STAGE_PATH})

setup_compiler_flags()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY)

if (ENABLE_STATIC AND UNIX AND NOT APPLE)
  set (CMAKE_FIND_LIBRARY_SUFFIXES .a)
endif()

# Python needed before Boost
find_package(Python 3.6 REQUIRED)
# Split version string
string(REPLACE "." ";" _python_version_list ${PYTHON_VERSION})
list(GET _python_version_list 0 PYTHON_VERSION_MAJOR)
list(GET _python_version_list 1 PYTHON_VERSION_MINOR)

if(BOOST_VERSION)
  message(STATUS "forcing boost to version ${BOOST_VERSION}")
  set(_BOOST_MIN_VERSION ${BOOST_VERSION})
endif()
setup_boost()
if (WIN32)
   ADD_DEFINITIONS("-DBOOST_ALL_NO_LIB")
endif()

if (ENABLE_INFO)        
  find_package(Qt5Xml REQUIRED)
  set(QT_LIBRARIES ${QT_LIBRARIES} Qt5::Xml)
endif()

if (OPTIMIZE)
  if (CXX_FLAGS)
    set (CMAKE_CXX_FLAGS_RELEASE ${CXX_FLAGS})
  endif()
  if (C_FLAGS)
    set (CMAKE_C_FLAGS_RELEASE ${C_FLAGS})
  endif()
else()
  if (CXX_FLAGS)
    set(CMAKE_CXX_FLAGS_DEBUG ${CXX_FLAGS})
  endif()
  if (C_FLAGS)
    set(CMAKE_C_FLAGS_DEBUG ${C_FLAGS})
  endif()
endif()
if (ENABLE_GFX)
  if (OPENGLPREFERENCE_LEGACY)
    set(OpenGL_GL_PREFERENCE LEGACY)
  else()
    set(OpenGL_GL_PREFERENCE GLVND)
  endif(OPENGLPREFERENCE_LEGACY)
  find_package(OpenGL REQUIRED)
endif()

if (ENABLE_IMG OR ENABLE_GFX)
  find_package(PNG REQUIRED)
else()
  set (PNG_LIBRARY "")
endif()

find_package(Eigen 3.2.0 REQUIRED)
find_package(SQLite3 3.7.13 REQUIRED)

if(USE_NUMPY)
  find_package(Numpy REQUIRED)
endif()

if(ENABLE_MM)
  find_package(OpenMM REQUIRED)
  set(_OPENMM_PLUGINS "${OPEN_MM_PLUGIN_DIR}")
else(ENABLE_MM)
  set(_OPENMM_PLUGINS "NONE")
endif(ENABLE_MM)

if (ENABLE_IMG)
  find_package(FFTW REQUIRED)
  find_package(TIFF REQUIRED)
endif()


if (ENABLE_STATIC)
  set(Boost_LIBRARIES)
  set(Boost_USE_STATIC_LIBS ON)
  find_package(Boost ${_BOOST_MIN_VERSION} 
               COMPONENTS filesystem system iostreams regex thread REQUIRED)
  find_package(ZLIB REQUIRED)
   
  if (UNIX AND NOT APPLE)
    set(STATIC_LIBRARIES ${Boost_LIBRARIES} ${FFTW_LIBRARIES} ${TIFF_LIBRARIES} 
        ${PNG_LIBRARY} ${ZLIB_LIBRARY})
  else ()
    set(STATIC_LIBRARIES ${Boost_LIBRARIES} ${FFTW_LIBRARIES} ${TIFF_LIBRARIES} 
        ${PNG_LIBRARY} ${ZLIB_LIBRARY})
  endif()
endif()

if (ENABLE_GUI)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5OpenGL REQUIRED)
  set(QT_LIBRARIES ${QT_LIBRARIES} Qt5::Gui Qt5::Widgets Qt5::Core)
  ost_find_python_module(PyQt5)
  ost_find_python_module_alt("PyQt5.sip;sip")
endif()

if (ENABLE_SPNAV)
  #find_package(SpNav REQUIRED)
  set(_SPNAV ON)
else()
  set(_SPNAV OFF)
endif()

if (CMAKE_COMPILER_IS_GNUCXX)
  # do not write back into cache, otherwise the compile command line gets expanded
  # with multiple -fno-strict-aliasing flags, triggering a complete rebuild whenever
  # cmake is run
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fno-strict-aliasing")
  if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_GREATER "4.6")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-attributes")
  endif("${CMAKE_CXX_COMPILER_VERSION}" VERSION_GREATER "4.6")
  if(HIDDEN_VISIBILITY) 
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
    set (_HIDDEN_VIS ON)
  else(HIDDEN_VISIBILITY)
    set (_HIDDEN_VIS OFF)
  endif(HIDDEN_VISIBILITY)
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option")
endif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
if(CMAKE_C_COMPILER_ID MATCHES "Clang")
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unknown-warning-option")
endif(CMAKE_C_COMPILER_ID MATCHES "Clang")

# basic environment
include_directories(${Boost_INCLUDE_DIRS} 
                    ${FFTW_INCLUDE_DIRS} 
                    ${EIGEN3_INCLUDE_DIRS}
                    ${TIFF_INCLUDE_DIR}
                    ${PNG_INCLUDE_DIRS}
                    ${OPEN_MM_INCLUDE_DIRS}
                    ${SQLITE3_INCLUDE_DIRS}
                    )
if(USE_NUMPY)
include_directories(${PYTHON_NUMPY_INCLUDE_DIR})
endif()

if (UNIX)
  SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
  SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
  if(USE_RPATH)
    set(_USE_RPATH ON)
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/../${LIB_DIR}")
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  else()
    set(_USE_RPATH OFF)
   SET(CMAKE_INSTALL_RPATH "")
   SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
  endif() 
endif()

if (ENABLE_STATIC)
  SET(CMAKE_SKIP_BUILD_RPATH TRUE)
  SET(LINK_SEARCH_END_STATIC TRUE) 
endif()

add_subdirectory(modules)
add_subdirectory(scripts)
add_subdirectory(tools)
add_subdirectory(actions)
# deployment has to come last, to ensure that all install commands are run before deployment
# magic is done
add_subdirectory(deployment)

set(FILES_TO_BE_REMOVED ${PROJECT_BINARY_DIR}/stage tests)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
                             "${FILES_TO_BE_REMOVED}")


#ost_match_boost_python_version(${PYTHON_LIBRARIES})

if (CMAKE_COMPILER_IS_GNUCXX)
   set(HIDDEN_VIS_MSG 
       "\n   Hidden object visibility  (-DHIDDEN_VISIBILITY) : ${_HIDDEN_VIS}")
endif()
message(STATUS 
        "OpenStructure will be built with the following options:\n"
        "   Install Prefix                        (-DPREFIX) : ${CMAKE_INSTALL_PREFIX}\n"
        "   RPath in install                   (-DUSE_RPATH) : ${_USE_RPATH}\n"
        "   Info support                     (-DENABLE_INFO) : ${_INFO}\n"
        "   Graphical interface               (-DENABLE_GUI) : ${_UI}\n"
        "   OpenGL support                    (-DENABLE_GFX) : ${_OPENGL}\n"
        "   Image Processing support          (-DENABLE_IMG) : ${_IMG}\n"
        "   Shader support                    (-DUSE_SHADER) : ${_SHADER}\n"
        "   Numpy support                      (-DUSE_NUMPY) : ${_NUMPY}\n"
        "   SpaceNav Device support         (-DENABLE_SPNAV) : ${_SPNAV}\n"
        "   OpenMM support                     (-DENABLE_MM) : ${_OPENMM}\n"
        "   OpenMM plugins            (-DOPEN_MM_PLUGIN_DIR) : ${_OPENMM_PLUGINS}\n"
        "   Optimize                            (-DOPTIMIZE) : ${_OPT}\n"
        "   Profiling support                    (-DPROFILE) : ${_PROFILE}\n"
        "   Double Precision        (-DUSE_DOUBLE_PRECISION) : ${_DOUBLE_PREC}\n"
        "   Compound Lib                    (-DCOMPOUND_LIB) : ${_COMP_LIB}\n"
        "   TMAlign and TMScore          (-DCOMPILE_TMTOOLS) : ${_TM_TOOLS}\n"
        "   Static Libraries               (-DENABLE_STATIC) : ${ENABLE_STATIC}\n"
        "   Debian/Ubuntu directory layout (-DUBUNTU_LAYOUT) : ${_UBUNTU_LAYOUT}"
        ${HIDDEN_VIS_MSG})


# LocalWords:  CMake CMP

=== scripts/CMakeLists.txt ===
set(SUBST_DICT BUILD_TYPE=${CMAKE_BUILD_TYPE} PYTHON_BINARY=${PYTHON_BINARY}
PYTHON_VERSION=${PYTHON_VERSION} LIBDIR=${LIB_DIR} LIBEXEC_PATH=${LIBEXEC_PATH})
message("${BUILD_TYPE}")
add_custom_target(ost_scripts ALL)

# may god forgive us
if (ENABLE_GUI)
  add_dependencies(ost_scripts _ost_gui)
elseif(ENABLE_GFX)
  add_dependencies(ost_scripts _ost_gfx)
else()
  add_dependencies(ost_scripts _ost_io)
endif()

if (NOT ENABLE_STATIC)
  if(WIN32)
    script(NAME  dng.bat INPUT dng.bat.in SUBSTITUTE ${SUBST_DICT}
           TARGET ost_scripts)
    script(NAME ost.bat INPUT ost.bat.in SUBSTITUTE ${SUBST_DICT}
           TARGET ost_scripts)
  else()
    script(NAME ost_config INPUT ost_config.in SUBSTITUTE ${SUBST_DICT}
           TARGET ost_scripts OUTPUT_DIR ${LIBEXEC_PATH})
    script(NAME ost INPUT ost.in SUBSTITUTE ${SUBST_DICT} 
           TARGET ost_scripts)
    if (ENABLE_GUI)
      script(NAME dng INPUT dng.in SUBSTITUTE ${SUBST_DICT}
             TARGET ost_scripts)
    endif()
  endif()

  script(NAME ost_startup.py INPUT ost_startup.py.in SUBSTITUTE ${SUBST_DICT} 
         TARGET ost_scripts OUTPUT_DIR "${LIB_DIR}/python${PYTHON_VERSION}/site-packages/ost" )    

  set(INIT_SCRIPTS 
  )
  set(SPD "${LIB_DIR}/python${PYTHON_VERSION}/site-packages/ost")
  if (ENABLE_GUI)
    list(APPEND INIT_SCRIPTS dng_startup.py)
  endif()
  copy_if_different("${CMAKE_CURRENT_SOURCE_DIR}" "${STAGE_DIR}/${SPD}" 
                  "${INIT_SCRIPTS}" "python init scripts" ost_scripts)

  install(FILES ${INIT_SCRIPTS} DESTINATION "${SPD}")

endif()

=== deployment/linux/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#  Author:  Andreas Schenk
#
#  This file contains the Linux specific CPack configuration.
#
#-------------------------------------------------------------------------------

if(NOT CPACK_GENERATOR)
  include(CheckLSBTypes)
  if(( ${LSB_DISTRIBUTOR_ID} MATCHES "centos" AND ${LSB_RELEASE} GREATER 5.9)
   OR (${LSB_DISTRIBUTOR_ID} MATCHES "redhat" AND ${LSB_RELEASE} GREATER 5.9)
   OR (${LSB_DISTRIBUTOR_ID} MATCHES "fedora"))
    set(CPACK_GENERATOR "RPM")
  elseif(${LSB_DISTRIBUTOR_ID} MATCHES "debian")
    set(CPACK_GENERATOR "DEB")
  else()
    set(CPACK_GENERATOR "TGZ")
  endif()
endif(NOT CPACK_GENERATOR)

if(CPACK_GENERATOR MATCHES "DEB")
  set(CPACK_DEBIAN_PACKAGE_MAINTAINER "The OpenStructure developers")
elseif(CPACK_GENERATOR MATCHES "RPM")
elseif(CPACK_GENERATOR MATCHES "TGZ")
  install(CODE "
    if(NOT ${CMAKE_INSTALL_PREFIX} MATCHES \${CMAKE_INSTALL_PREFIX})
      set(LIB_DIR ${LIB_DIR})#pass libdir variable in install code block
      set(LIBEXEC_PATH ${LIBEXEC_PATH})#pass libexec_path variable in install code block
      set(_UBUNTU_LAYOUT ${_UBUNTU_LAYOUT})#pass ubuntu_layout variable in install code block
      set(ARCH ${ARCH})#pass arch variable in install code block
      if(NOT ${_USE_RPATH} STREQUAL ON)
        message(\"======================================================================\")
        message(\"|          Warning, no rpaths will be embedded upon install.         |\")
        message(\"|        Dependency resolution during packaging will not work.       |\")
        message(\"| Add -DUSE-RPATH=1 when running cmake to switch on rpath embedding. |\")
        message(\"======================================================================\")
      endif(NOT ${_USE_RPATH} STREQUAL ON)
      set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/ost/cmake_support)
      include(CopyDependencies)
      set(OST_BINARIES \"\${CMAKE_INSTALL_PREFIX}/bin/lddt\"
                       \"\${CMAKE_INSTALL_PREFIX}/bin/chemdict_tool\"
                       \"\${CMAKE_INSTALL_PREFIX}/bin/molck\"
                       \"\${CMAKE_INSTALL_PREFIX}/${LIBEXEC_PATH}/gosty\")

      copy_python(${PYTHON_INCLUDE_PATH} ${PYTHON_VERSION} new_python_binary)
      list(APPEND OST_BINARIES \${new_python_binary})

      file(GLOB_RECURSE OST_PYMODS \"\${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/*.so\")
      list(APPEND  OST_BINARIES \${OST_PYMODS})

      #copy Qt stuff
      copy_qt(${QT_LIBRARY_DIR} ${QT_PLUGINS_DIR} qt_plugins)
      list(APPEND  OST_BINARIES \${qt_plugins})

      copy_dependencies(\"\${OST_BINARIES}\")

      #copy examples into bundle
      file (COPY ${CMAKE_SOURCE_DIR}/examples DESTINATION \"\${CMAKE_INSTALL_PREFIX}/share/openstructure/\") 
    endif(NOT ${CMAKE_INSTALL_PREFIX} MATCHES \${CMAKE_INSTALL_PREFIX})
  ")
elseif(CPACK_GENERATOR MATCHES "TGZ_NODEP")
  set(CPACK_GENERATOR "TGZ")
else(CPACK_GENERATOR MATCHES "DEB")
  message(FATAL_ERROR "Uknown CPack generator")
endif(CPACK_GENERATOR MATCHES "DEB")

=== deployment/macos/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#  Author:  Andreas Schenk
#
#  This file contains OSX specific CPack configuration.
#
#-------------------------------------------------------------------------------


set(CPACK_GENERATOR Bundle)
set(CPACK_BUNDLE_NAME DNG)
set(CPACK_BUNDLE_PLIST ${PROJECT_SOURCE_DIR}/deployment/macos/Info.plist)
set (CPACK_PACKAGE_ICON ${PROJECT_SOURCE_DIR}/graphics/icon.icns)
set (CPACK_BUNDLE_ICON ${PROJECT_SOURCE_DIR}/graphics/icon.icns)
set(CPACK_PACKAGE_INSTALL_DIRECTORY "openstructure ${OST_VERSION_STRING}" )
install(CODE "
  if(NOT ${CMAKE_INSTALL_PREFIX} STREQUAL \${CMAKE_INSTALL_PREFIX})
    set(LIB_DIR ${LIB_DIR}) #pass libdir variable in install code block
    set(LIBEXEC_PATH ${LIBEXEC_PATH})#pass libexec_path variable in install code block
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake_support)
    include(CopyDependencies)
  
    set(OST_BINARIES \"\${CMAKE_INSTALL_PREFIX}/bin/lddt\"
                     \"\${CMAKE_INSTALL_PREFIX}/bin/chemdict_tool\"
                     \"\${CMAKE_INSTALL_PREFIX}/libexec/openstructure/gosty\")
  
    #copy python into bundle if a version different from the system version is used
    if(NOT ${PYTHON_BINARY} MATCHES /usr/bin/)
      copy_python(${PYTHON_INCLUDE_PATH} ${PYTHON_VERSION} new_python_binary)
      list(APPEND OST_BINARIES \${new_python_binary})
    endif(NOT ${PYTHON_BINARY} MATCHES /usr/bin/)  
  
    file(GLOB_RECURSE OST_PYMODS \"\${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/*.so\")
    list(APPEND  OST_BINARIES \${OST_PYMODS})
    
    #copy Qt stuff
    copy_qt(${QT_LIBRARY_DIR} ${QT_PLUGINS_DIR} qt_plugins)
    list(APPEND  OST_BINARIES \${qt_plugins})
  
    write_bundle_binary(dng ../Resources/bin/dng)
    copy_dependencies(\"\${OST_BINARIES}\") 
  endif(NOT ${CMAKE_INSTALL_PREFIX} STREQUAL \${CMAKE_INSTALL_PREFIX})
")

=== modules/base/pymod/CMakeLists.txt ===
set(OST_BASE_PYMOD_SOURCES
  wrap_base.cc
  export_logger.cc
  export_range.cc
  export_units.cc
)
if (NOT ENABLE_STATIC)
  pymod(NAME base OUTPUT_DIR ost 
        CPP ${OST_BASE_PYMOD_SOURCES} 
        PY settings.py stutil.py table.py table_selector.py xmlrunner.py testutils.py)
endif() 

if(WIN32)
  set(SQ "'")
else(WIN32)
  set(SQ "\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'")
endif(WIN32)
set(SUBST_DICT "ALL_ADDITIONAL_MODULES=")
if(ENABLE_GUI)
  set(SUBST_DICT "${SUBST_DICT},${SQ}gui${SQ}")
endif(ENABLE_GUI)
if(ENABLE_GFX)
  set(SUBST_DICT "${SUBST_DICT},${SQ}gfx${SQ}")
endif(ENABLE_GFX)
if(ENABLE_IMG)
  set(SUBST_DICT "${SUBST_DICT},${SQ}img${SQ}")
endif(ENABLE_IMG)
if(ENABLE_INFO)
  set(SUBST_DICT ${SUBST_DICT},${SQ}info${SQ})
endif(ENABLE_INFO)

if(NOT ENABLE_STATIC)
  script(NAME __init__.py
         INPUT __init__.py.in
         SUBSTITUTE "${SUBST_DICT}"
         TARGET ost_base_pymod
         OUTPUT_DIR "${LIB_DIR}/python${PYTHON_VERSION}/site-packages/ost")
endif()

=== modules/bindings/pymod/CMakeLists.txt ===
set(OST_BINDINGS
__init__.py
lga.py
hbplus.py
msms.py
tmtools.py 
dssp.py
clustalw.py
utils.py
naccess.py
hhblits.py
blast.py
cadscore.py
kclust.py
ialign.py
)

set(OST_BINDINGS_PYMOD_SOURCES
  export_tmalign.cc
  wrap_bindings.cc
)

pymod(NAME bindings OUTPUT_DIR ost/bindings CPP ${OST_BINDINGS_PYMOD_SOURCES} 
      PY ${OST_BINDINGS})

=== modules/gui/src/CMakeLists.txt ===
set(OST_GUI_PANEL_BAR_HEADERS
button_bar.hh
drop_box.hh
panel_bar.hh
panel_manager.hh
bottom_bar.hh
button_box.hh
event_button.hh
panel_widget_container.hh
panel_bar_widget_holder.hh
side_bar.hh
splitter_panel_bar.hh
tabbed_panel_bar.hh
)

set(OST_GUI_SEQUENCE_VIEWER_HEADERS
align_properties_painter.hh
base_row.hh
background_painter.hh
conservation_painter.hh
painter.hh
secstr_row.hh
seq_secstr_painter.hh
seq_selection_painter.hh
seq_text_painter.hh
sequence_delegate.hh
sequence_model.hh
sequence_row.hh
sequence_search_bar.hh
sequence_table_view.hh
sequence_viewer.hh
tick_painter.hh
title_row.hh
alignment_view_object.hh
base_view_object.hh
sequence_view_object.hh
)

set(OST_GUI_TOOLS_HEADERS
tool.hh
tool_option_group.hh
tool_options.hh
tool_bar.hh
selection_tool.hh
measure_tool.hh
tool_option.hh
tool_manager.hh
tool_options_widget.hh
manipulator.hh
tool_options_win.hh
mouse_event.hh
)
set(OST_GUI_PYTHON_SHELL_HEADERS
main_thread_runner.hh
output_redirector.hh
completer_base.hh
dir_model.hh
gutter.hh
path_completer.hh
python_context_parser.hh
python_completer.hh
python_shell.hh
python_shell_fw.hh
python_shell_widget.hh
python_tokenizer.hh
python_syntax_highlighter.hh
text_logger.hh
python_interpreter.hh
python_interpreter_worker.hh
python_shell_text_document_layout.hh
shell_history.hh
state_machine.hh
state.hh
transition.hh
transition_guard.hh
)

set(OST_GUI_SCENE_WIN_HEADERS
context_menu.hh
current_selection_node.hh
custom_part_node.hh
entity_node.hh
entity_part_node.hh
gfx_scene_node.hh
label_node.hh
root_node.hh
render_mode_node.hh
render_modes_node.hh
scene_node.hh
scene_win.hh
scene_win_model.hh
)

set(OST_GUI_MESSAGES_HEADERS
message_widget.hh
message_box_widget.hh
log_reader.hh
)

if (ENABLE_SPNAV)
include_directories(${SPNAV_INCLUDE_DIR})
set(OST_GUI_INPUT_HEADERS
spnav_input.hh
  IN_DIR input
)
endif()

set(OST_GUI_PLOT_VIEWER_HEADERS
plot_axis_base.hh
plot_axis_horizontal.hh
plot_axis_vertical.hh
plot_data.hh
plot_data_base.hh
plot_data_entry.hh
plot_data_graphics_item.hh
plot_data_graphics_item_base.hh
plot_data_info.hh
plot_data_info_fw.hh
plot_function.hh
plot_function_info.hh
plot_function_graphics_item.hh
plot_graphics_cross_item.hh
plot_graphics_diagonal_cross_item.hh
plot_graphics_ellipse_item.hh
plot_graphics_rectangle_item.hh
plot_group_graphics_item.hh
plot_group_info.hh
plot_group.hh
plot_info_base.hh
plot_legend_panel.hh
plot_ticker.hh
plot_ticker_fw.hh
plot_types.hh
)

if (ENABLE_IMG)
  set(OST_GUI_DATA_VIEWER_HEADERS
  argand.hh
  data_viewer.hh
  data_viewer_panel.hh
  data_viewer_panel_base.hh
  draw_overlay.hh
  drawing_functions.hh
  fft_panel.hh
  info_panel.hh
  img2qt.hh
  mask_overlay.hh
  null_overlay.hh
  overlay.hh
  overlay_base.hh
  overlay_base_fw.hh
  overlay_manager.hh
  overlay_manager_fw.hh
  overlay_manager_gui.hh
  overlay_manager_observer.hh
  pointlist_overlay.hh
  pointlist_overlay_base.hh
  strategies.hh
  strategies_fw.hh
  viewer_normalizer.hh
  IN_DIR data_viewer
  )
endif()

set(OST_GUI_HEADERS
file_browser.hh
file_type_dialog.hh
file_viewer.hh
gl_canvas.hh
gl_win.hh
scene_menu.hh
gosty_app.hh
admin.hh
module_config.hh
main.hh
main_area.hh
perspective.hh
scene_selection.hh
main_window.hh
dock_widget.hh
dock_widget.hh
thin_splitter.hh
widget.hh
widget_geom_handler.hh
widget_pool.hh
widget_registry.hh
widget_state_saver.hh
file_loader.hh
)

set(OST_GUI_SOURCES
thin_splitter.cc
perspective.cc
widget_registry.cc
file_browser.cc
file_type_dialog.cc
file_viewer.cc
main.cc
gl_canvas.cc
dock_widget.cc
main_window.cc
gl_win.cc
scene_menu.cc
widget.cc
admin.cc
widget_pool.cc
messages/message_widget.cc
messages/message_box_widget.cc
messages/log_reader.cc
sequence_viewer/align_properties_painter.cc
sequence_viewer/base_row.cc
sequence_viewer/background_painter.cc
sequence_viewer/conservation_painter.cc
sequence_viewer/secstr_row.cc
sequence_viewer/seq_secstr_painter.cc
sequence_viewer/seq_selection_painter.cc
sequence_viewer/seq_text_painter.cc
sequence_viewer/sequence_delegate.cc
sequence_viewer/sequence_model.cc
sequence_viewer/sequence_row.cc
sequence_viewer/sequence_search_bar.cc
sequence_viewer/sequence_table_view.cc
sequence_viewer/sequence_viewer.cc
sequence_viewer/tick_painter.cc
sequence_viewer/title_row.cc
sequence_viewer/alignment_view_object.cc
sequence_viewer/base_view_object.cc
sequence_viewer/sequence_view_object.cc
gosty_app.cc
main_area.cc
widget_state_saver.cc
scene_selection.cc
widget_geom_handler.cc
file_loader.cc
panels/button_bar.cc
panels/drop_box.cc
panels/panel_bar.cc
panels/bottom_bar.cc
panels/button_box.cc
panels/event_button.cc
panels/panel_manager.cc
panels/panel_widget_container.cc
panels/panel_bar_widget_holder.cc
panels/side_bar.cc
panels/splitter_panel_bar.cc
panels/tabbed_panel_bar.cc
tools/tool_option_group.cc
tools/tool_options.cc
tools/tool_option.cc
tools/tool_manager.cc
tools/tool_options_win.cc
tools/tool.cc
tools/mouse_event.cc
tools/manipulator.cc
tools/tool_options_widget.cc
tools/tool_bar.cc
tools/selection_tool.cc
tools/measure_tool.cc
python_shell/gutter.cc
python_shell/main_thread_runner.cc
python_shell/output_redirector.cc
python_shell/completer_base.cc
python_shell/dir_model.cc
python_shell/path_completer.cc
python_shell/python_context_parser.cc
python_shell/python_completer.cc
python_shell/python_interpreter.cc
python_shell/python_interpreter_worker.cc
python_shell/python_namespace_tree_model.cc
python_shell/python_namespace_tree_item.cc
python_shell/python_shell.cc
python_shell/python_shell_widget.cc
python_shell/python_shell_text_document_layout.cc
python_shell/python_tokenizer.cc
python_shell/python_syntax_highlighter.cc
python_shell/shell_history.cc
python_shell/string_literal_positions.cc
python_shell/text_logger.cc
python_shell/state_machine.cc
python_shell/state.cc
python_shell/transition.cc
python_shell/transition_guard.cc
scene_win/context_menu.cc
scene_win/current_selection_node.cc
scene_win/custom_part_node.cc
scene_win/scene_node.cc
scene_win/label_node.cc
scene_win/entity_node.cc
scene_win/entity_part_node.cc
scene_win/gfx_scene_node.cc
scene_win/render_mode_node.cc
scene_win/render_modes_node.cc
scene_win/root_node.cc
scene_win/scene_win.cc
scene_win/scene_win_model.cc
)

set(HEADERS_TO_BE_MOCCED
file_browser.hh
file_type_dialog.hh
file_viewer.hh
gl_canvas.hh
gl_win.hh
scene_menu.hh
gosty_app.hh
main.hh
main_area.hh
perspective.hh
dock_widget.hh
main_window.hh
scene_selection.hh
widget.hh
widget_geom_handler.hh
widget_pool.hh
messages/message_widget.hh
messages/message_box_widget.hh
messages/log_reader.hh
sequence_viewer/align_properties_painter.hh
sequence_viewer/background_painter.hh
sequence_viewer/base_row.hh
sequence_viewer/conservation_painter.hh
sequence_viewer/painter.hh
sequence_viewer/secstr_row.hh
sequence_viewer/seq_secstr_painter.hh
sequence_viewer/seq_selection_painter.hh
sequence_viewer/seq_text_painter.hh
sequence_viewer/sequence_delegate.hh
sequence_viewer/sequence_model.hh
sequence_viewer/sequence_row.hh
sequence_viewer/sequence_search_bar.hh
sequence_viewer/sequence_table_view.hh
sequence_viewer/sequence_viewer.hh
sequence_viewer/tick_painter.hh
sequence_viewer/title_row.hh
sequence_viewer/alignment_view_object.hh
sequence_viewer/base_view_object.hh
sequence_viewer/sequence_view_object.hh
python_shell/main_thread_runner.hh
python_shell/completer_base.hh
python_shell/gutter.hh
python_shell/output_redirector.hh
python_shell/path_completer.hh
python_shell/python_completer.hh
python_shell/python_interpreter.hh
python_shell/python_interpreter_worker.hh
python_shell/python_namespace_tree_model.hh
python_shell/python_shell.hh
python_shell/python_shell_widget.hh
python_shell/text_logger.hh
python_shell/state_machine.hh
python_shell/state.hh
python_shell/transition.hh
python_shell/transition_guard.hh
panels/button_bar.hh
panels/drop_box.hh
panels/panel_bar.hh
panels/panel_manager.hh
panels/bottom_bar.hh
panels/button_box.hh
panels/event_button.hh
panels/panel_widget_container.hh
panels/panel_bar_widget_holder.hh
panels/side_bar.hh
panels/splitter_panel_bar.hh
panels/tabbed_panel_bar.hh
scene_win/context_menu.hh
scene_win/current_selection_node.hh
scene_win/custom_part_node.hh
scene_win/gfx_scene_node.hh
scene_win/label_node.hh
scene_win/entity_node.hh
scene_win/entity_part_node.hh
scene_win/render_mode_node.hh
scene_win/render_modes_node.hh
scene_win/root_node.hh
scene_win/scene_node.hh
scene_win/scene_win.hh
scene_win/scene_win_model.hh
tools/tool.hh
tools/tool_option_group.hh
tools/tool_options.hh
tools/tool_bar.hh
tools/tool_option.hh
tools/tool_manager.hh
tools/tool_options_widget.hh
tools/measure_tool.hh
tools/tool_options_win.hh
)
if (ENABLE_IMG)
  list(APPEND OST_GUI_TOOLS_HEADERS map_tool.hh)
  list(APPEND OST_GUI_SOURCES
       tools/map_tool.cc
       data_viewer/argand.cc
       data_viewer/data_viewer.cc
       data_viewer/data_viewer_panel.cc
       data_viewer/data_viewer_panel_base.cc
       data_viewer/draw_overlay.cc
       data_viewer/drawing_functions.cc
       data_viewer/fft_panel.cc
       data_viewer/info_panel.cc
       data_viewer/img2qt.cc
       data_viewer/mask_overlay.cc
       data_viewer/null_overlay.cc
       data_viewer/overlay_base.cc
       data_viewer/overlay_manager.cc
       data_viewer/overlay_manager_gui.cc
       data_viewer/pointlist_overlay.cc
       data_viewer/pointlist_overlay_base.cc
       data_viewer/strategies.cc
       data_viewer/viewer_normalizer.cc)
  list(APPEND HEADERS_TO_BE_MOCCED
    data_viewer/argand.hh
    data_viewer/fft_panel.hh
    data_viewer/info_panel.hh
    data_viewer/data_viewer.hh
    data_viewer/overlay_manager_gui.hh
    data_viewer/data_viewer_panel_base.hh
    data_viewer/null_overlay.hh
    data_viewer/overlay_base.hh
    data_viewer/pointlist_overlay_base.hh
  )
endif()

if (ENABLE_SPNAV)
  set(spnav_enabled 1)
  list(APPEND OST_GUI_SOURCES
      input/spnav_input.cc
  )
  list(APPEND HEADERS_TO_BE_MOCCED
      input/spnav_input.hh
  )
else()
  set(spnav_enabled 0)
endif()

set(config_hh_generator "CMake")
set(MODULE_CONFIG_HH_FILE "${CMAKE_CURRENT_SOURCE_DIR}/module_config.hh")
configure_file(module_config.hh.in ${MODULE_CONFIG_HH_FILE})
# the resulting file, module_config.hh, is already included in OST_GUI_HEADERS

if (APPLE)
  set(ADDITIONAL_LIBRARIES "-framework Security")
endif()
set(QT_USE_QTOPENGL 1)
set(QT_USE_QTNETWORK 1)

qt5_wrap_cpp(OST_GUI_MOCS "${HEADERS_TO_BE_MOCCED}" 
             OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED
                     -DBOOST_NO_TEMPLATE_PARTIAL_SPECIALIZATION)
module(NAME gui SOURCES ${OST_GUI_MOCS} ${OST_GUI_SOURCES}
       HEADERS ${OST_GUI_TOOLS_HEADERS} IN_DIR tools
               ${OST_GUI_SEQUENCE_VIEWER_HEADERS} IN_DIR sequence_viewer
               ${OST_GUI_PYTHON_SHELL_HEADERS} IN_DIR python_shell
               ${OST_GUI_PANEL_BAR_HEADERS} IN_DIR panels
               ${OST_GUI_SCENE_WIN_HEADERS} IN_DIR scene_win
               ${OST_GUI_MESSAGES_HEADERS} IN_DIR messages
               ${OST_GUI_INPUT_HEADERS}
               ${OST_GUI_DATA_VIEWER_HEADERS}
               ${OST_GUI_HEADERS}
       DEPENDS_ON ost_gfx ost_io ost_mol_alg ost_seq_alg
       LINK ${QT_LIBRARIES}
            ${PYTHON_LIBRARIES} 
            ${BOOST_PYTHON_LIBRARIES}
            ${SPNAV_LIBRARIES}
        NO_STATIC)


   
if (ADDITIONAL_LIBRARIES)
  target_link_libraries(ost_gui "${ADDITIONAL_LIBRARIES}")
endif()

include_directories(${PYTHON_INCLUDE_PATH})
qt5_add_resources(OST_QT_RESOURCE dngr.qrc)
qt5_wrap_cpp(OST_GOSTY_MOC "gosty.hh"
             OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED
                     -DBOOST_NO_TEMPLATE_PARTIAL_SPECIALIZATION)

set(LINK LINK ${QT_LIBRARIES} ${BOOST_PROGRAM_OPTIONS_LIBRARIES})

executable_libexec(NAME gosty SOURCES gosty.cc ${OST_GOSTY_MOC}
                   ${OST_QT_RESOURCE} DEPENDS_ON ost_gui ${LINK})
           
file(GLOB MOC_CXX_FILES moc_*.cxx)

if (MOC_CXX_FILES)
  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
                           "${MOC_CXX_FILES}")
endif()

=== modules/seq/alg/src/CMakeLists.txt ===
set(OST_SEQ_ALG_HEADERS
alignment_opts.hh
clip_alignment.hh
conservation.hh
contact_prediction_score.hh
contact_weight_matrix.hh
distance_map.hh
entropy.hh
global_align.hh
ins_del.hh
local_align.hh
merge_pairwise_alignments.hh
module_config.hh
pair_subst_weight_matrix.hh
semiglobal_align.hh
sequence_identity.hh
sequence_similarity.hh
subst_weight_matrix.hh
variance_map.hh
data/default_contact_weight_matrix.hh
data/default_pair_subst_weight_matrix.hh
)

set(OST_SEQ_ALG_SOURCES
clip_alignment.cc
conservation.cc
contact_prediction_score.cc
contact_weight_matrix.cc
distance_map.cc
entropy.cc
global_align.cc
ins_del.cc
local_align.cc
merge_pairwise_alignments.cc
pair_subst_weight_matrix.cc
semiglobal_align.cc
sequence_identity.cc
sequence_similarity.cc
subst_weight_matrix.cc
variance_map.cc
)

module(NAME seq_alg HEADER_OUTPUT_DIR ost/seq/alg SOURCES ${OST_SEQ_ALG_SOURCES}
       HEADERS ${OST_SEQ_ALG_HEADERS} DEPENDS_ON ost_seq)

=== debian/changelog ===
openstructure (2.0.0-3) unstable; urgency=medium

  * Installing gosty and ost_config.
  * Cleaning leftover files.
  * Adjusting paths in Debian installation (Closes: #965959).

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Jul 2020 07:17:40 -0400

openstructure (2.0.0-2) unstable; urgency=medium

  * Adding explicit build-dependency on libglu1-mesa-dev.
  * Avoiding running tests in .pc directory.

 -- Andrius Merkys <merkys@debian.org>  Thu, 25 Jun 2020 01:13:25 -0400

openstructure (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #953414)

 -- Andrius Merkys <merkys@debian.org>  Wed, 25 Mar 2020 07:49:04 -0400

=== debian/control ===
Source: openstructure
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 clustalw <!nocheck>,
 cmake,
 debhelper-compat (= 12),
 dh-python,
 dssp <!nocheck>,
 libboost-all-dev,
 libeigen3-dev,
 libfftw3-dev,
 libglu1-mesa-dev,
 libpng-dev,
 libqt5opengl5-dev,
 libsqlite3-dev,
 libtiff-dev,
 python3-dev,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-pyqt5,
 python3-scipy <!nocheck>,
 qtbase5-dev,
 sip-dev,
 voronota <!nocheck>,
Standards-Version: 4.1.3
Homepage: https://www.openstructure.org
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debichem-team/openstructure.git
Vcs-Browser: https://salsa.debian.org/debichem-team/openstructure

Package: libost-base2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-bindings2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-conop2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-db2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-geom2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gfx2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gui2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img-alg2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-info2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-io2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol-alg2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-seq-alg2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-seq2.0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: openstructure
Architecture: any
Depends:
 python3-ost,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: python3-ost
Architecture: any
Section: python
Depends:
 python3-matplotlib,
 python3-numpy,
 python3-pil,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework - Python 3 package
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DUBUNTU_LAYOUT=ON \
		-DPYTHON_LIBRARIES=/usr/lib/$(DEB_HOST_MULTIARCH)/lib$$(py3versions --default).so

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib -name '*.pyc' | xargs --no-run-if-empty rm

override_dh_install:
	dh_install
	find debian/python3-ost/usr/lib/python3/dist-packages -type f \
		| xargs --no-run-if-empty chmod -x
